﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamPropertyGridDateTimeCase
{
    public class ViewModel
    {
        public SampleData SelectedObj { get; set; }
        public ViewModel()
        {
            SampleData SD = new SampleData();
            SD.ID = 10;
            SD.UOMType = "Height";
            SD.Date = DateTime.Today.AddHours(2).AddMinutes(35);

            SelectedObj = SD;
        }
    }

    public class SampleData
    {

        public int ID { get; set; }

        [Browsable(false)]
        public string UOMType { get; set; }

        [ReadOnly(true)]
        public DateTime? Date { get; set; }

    }
}
